Subject: Re: [PATCH 3/6] Consolidate of_find_property

From: Segher Boessenkool <[email-masked]>
Date: Wed, 25 Apr 2007 04:03:57 +0200

>> The OF standard doesn't allow upper case in property
>> names at all.
>
> Ok, fair enough, but in practice, they exist :-)

Yes.

>>> I don't think we would take much risk on ppc by
>>> using strncasecmp but it shouldn't be necessary...
>>
>> There are some examples where upper case is actually
>> used in property names, unfortunately.  These can
>> be solved by renaming/copying those properties to
>> all lower case in a bootwrapper, or by strcmp() to
>> the "cased" string, or by strcasecmp().  I for one
>> don't like either option, you figure it out ;-)
>
> Oh well, I don't care either way though fixup from bootwrapper doesn't
> appeal to me at all...

It doesn't to me either, not for this isolated case;
but when looking at the bigger picture, all the really
bad dev tree problems we need to work around on certain
platforms, it starts to sound appealing.  And when you
start doing some fixes in a bootwrapper, why not all.
Just something to think about.

Segher